=== debian/changelog ===
ros-indigo-ur-modern-driver (0.0.3-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Thomas Timm Andersen <thomas.timm.dk@gmail.com>  Tue, 10 May 2016 17:26:51 -0000
